package com.pyvio.acquirer.sdk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * query request parameter
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class QueryPaymentReqDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = -3487891262759730056L;

    /**
     * website ID
     */
    private String websiteId;
    /**
     * One Of SALE, AUTH, CAPTURE, VOID, REFUND
     */
    private String paymentAction;
    /**
     * payment order ID returned from pyvio，choose between payment_id and
     */
    private String paymentId;
    /**
     * unique transaction ID of merchant, choose between payment_id and transaction_id
     */
    private String transactionId;

}
