package com.pyvio.acquirer.sdk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * refund request parameter
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RefundReqDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = -1884609138301338632L;

    /**
     * website ID
     */
    private String websiteId;
    /**
     * unique transaction ID of merchant
     */
    private String transactionId;
    /**
     * reference payment order ID or capture order ID
     */
    private String referenceId;
    /**
     * request source, fixed S2S
     */
    private String requestSource;
    /**
     * please use ISO4217 currency code eg. USD, CNY, CNY
     */
    private String currency;
    /**
     * please pass in the smallest unit of ISO4217 currency code. eg. USD-1.32,KWD-1.333
     */
    private BigDecimal amount;
    /**
     * merchant customized asynchronous notify url
     */
    private String notifyUrl;
    /**
     * merchant pay time, pattern:yyyy-MM-dd HH:mm:ss
     */
    private String merchantPayTime;
}
