package com.pyvio.acquirer.sdk.dto.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * auth complete response parameter
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class AuthCompleteResDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 9142697783710686030L;
    /**
     * website ID
     */
    private String websiteId;
    /**
     * payment order ID returned from pyvio
     */
    private String paymentId;
    /**
     * unique transaction ID of merchant
     */
    private String transactionId;
    /**
     * transaction status, One Of SUCCESS, FAILED, PENDING
     */
    private String status;
    /**
     * refer to the Response Code
     */
    private String returnCode;
    /**
     * message of transaction result
     */
    private String returnMessage;
    /**
     * CAPTURE OR VOID
     */
    private String paymentAction;
    /**
     * transaction amount
     */
    private BigDecimal amount;
    /**
     * transaction currency
     */
    private String currency;
    /**
     * transaction time, pattern:yyyyMMddHHmmss
     */
    private String transactionTime;

}
