package com.pyvio.acquirer.sdk.dto.res;

import lombok.Data;

@Data
public class PyvioResponse<T> {
    /**
     * 返回码
     */
    private String code;
    /**
     * 是否成功
     */
    private boolean success;
    /**
     * 详细信息
     */
    private String message;

    /**
     * 数据
     */
    private T data;

    public static PyvioResponse success() {
        PyvioResponse response = new PyvioResponse();
        response.setSuccess(true);
        response.setCode("SUCCESS");
        response.setData((Object)null);
        return response;
    }

    public static <T> PyvioResponse<T> success(T data) {
        PyvioResponse<T> response = new PyvioResponse<T>();
        response.setSuccess(true);
        response.setCode("SUCCESS");
        response.setData(data);
        return response;
    }

    public static PyvioResponse fail(String code, String message) {
        PyvioResponse response = new PyvioResponse();
        response.setSuccess(false);
        response.setCode(code);
        response.setMessage(message);
        return response;
    }

    public static <T> PyvioResponse fail(T data) {
        PyvioResponse response = new PyvioResponse();
        response.setSuccess(false);
        response.setCode("FALSE");
        response.setData(data);
        return response;
    }
}