package com.pyvio.acquirer.sdk.exception;

import java.io.Serial;

public class PyvioException extends RuntimeException {

    @Serial
    private static final long serialVersionUID = 533632870310772328L;
    private final String errorCode;
    private final String errorMsg;

    public String getErrorCode() {
        return errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public PyvioException(PyvioErrorCode pyvioErrorCode) {
        super();
        this.errorCode = pyvioErrorCode.getCode();
        this.errorMsg = pyvioErrorCode.getDesc();
    }

    public PyvioException(String errorCode, String errorMsg) {
        super();
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    public PyvioException(String errorCode, String errorMsg, Throwable e) {
        super(e);
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    @Override
    public String getMessage() {
        return this.errorMsg;
    }

}
